#
# spec file for package patterns-sway
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_with betatest

Name:           patterns-sway
Version:        20200619
Release:        6.3
Summary:        Patterns for Installation (Sway)
License:        MIT
Group:          Metapackages
URL:            https://github.com/openSUSE/patterns
Source0:        %{name}-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  patterns-rpm-macros

%description
This is an internal package that is used to create the patterns as part
of the installation source setup.  Installation of this package does
not make sense.

This particular package contains the sway patterns.


################################################################################

%package sway
%pattern_graphicalenvironments
Summary:        Sway Tiling Wayland Compositor and related tools
Group:          Metapackages
Provides:       pattern() = sway
Provides:       pattern-icon() = pattern-sway
Provides:       pattern-order() = 1460
Provides:       pattern-visible()

Requires:       Mesa
Requires:       alacritty
Requires:       fontawesome-fonts
Requires:       grim
Requires:       slurp
Requires:       sway
Requires:       swaybg
Requires:       swayidle
Requires:       swaylock
Requires:       waybar
Requires:       wofi

Recommends:     kanshi
%if 0%{?suse_version} > 1500
Recommends:     pipewire-pulseaudio
%else
Recommends:     pulseaudio
%endif
Recommends:     pulseaudio-utils

Recommends:     desktop-data-openSUSE
Recommends:     system-config-printer

#upstream brandings for clean Sway experience
Recommends:     sway-branding-upstream
Recommends:     waybar-branding-upstream

%description sway
Sway Tiling Wayland Compositor and related tools.

%files sway
%dir %{_defaultdocdir}/patterns
%{_defaultdocdir}/patterns/sway.txt

################################################################################

%prep

%build

%install
mkdir -p %{buildroot}/%{_defaultdocdir}/patterns/
echo 'This file marks the pattern sway to be installed.' >%{buildroot}/%{_defaultdocdir}/patterns/sway.txt

%changelog
* Thu Jun  1 2023 Michael Vetter <mvetter@suse.com>
- Remove require on mako:
  See https://github.com/openSUSE/openSUSEway/issues/103
* Sun Jul 10 2022 Denys Kondratenko <stdden@opensuse.org>
- adding fontawesome-fonts as we have waybar
  See https://github.com/openSUSE/openSUSEway/issues/65
* Tue Jul  5 2022 Antonio Larrosa <alarrosa@suse.com>
- Use pipewire as default audio server in TW.
* Tue Sep 22 2020 Michael Vetter <mvetter@suse.com>
- Remove dmenu since wofi is already required
  See https://github.com/openSUSE/openSUSEway/issues/30
* Sun Aug  2 2020 Denis Kondratenko <denis.kondratenko@suse.com>
- upstream branding by default for pattern-sway
  * for openSUSE branding there is openSUSEway pattern
* Fri Jun 19 2020 Denis Kondratenko <denis.kondratenko@suse.com>
- Add openSUSEway branding packages as Recomends
- wofi has landed to the Factory, adding it
* Fri Jun  5 2020 Denis Kondratenko <denis.kondratenko@suse.com>
- Add dmenu requirement as it is default menu in sway config
* Thu Jun  4 2020 Denis Kondratenko <denis.kondratenko@suse.com>
- Add Mesa requirement to be able to run sway
- Add alacritty requirement as it is default tty in sway config
* Tue May 26 2020 Michael Vetter <mvetter@suse.com>
- Initial package for sway pattern
